<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('onhand') }}</h1>
      </div>
      <Header />
      <ol id="topicPath">
        <li style="margin-left:320px">
          <router-link to="menustock"><a href="dashbaord">
              <font style="vertical-align: inherit">
                <font style="vertical-align: inherit">{{ i18ntext.lngText('onhand') }}</font>
              </font>
            </a>
          </router-link>
        </li>
      </ol>
    </div>
    <div class="search-box">
      <div id="product">
        <!--#contents -->
        <div class="search-box mb-4">
          <div class="search-box-title" id="Bars">
            <div id="bar" style="padding-left: 0;">
            <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add-pro') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/product">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText('add-pro') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('pro_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText('set-pro') }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText('brands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText('supplier') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText('unittype') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText('diangosis') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText('category') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText('exchangerate') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText('payment') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText('groupservice') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText('company') }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link to="menupurchase" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText('purchase_order') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText('purchase_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText('recept_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                       <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText('serial') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText('payment_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockonhand" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5;">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText('onhands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText('onhand-date') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText('begin-stock') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                       <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText('stock-count') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText('stock-tran') }}
                    </a>
                  </router-link>
                </li>
              </ul>
                    <router-link to="/stockalert">
                    <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ i18ntext.lngText('stock-alert') }}
                      <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                      {{ stockcount }} {{ i18ntext.lngText('item') }}
                    </span>
                    </a>
                  </router-link>
                  <router-link to="/ex_alert">
                    <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ i18ntext.lngText('expire-alert1') }}
                      <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                      {{ count_expire }} {{ i18ntext.lngText('item') }}
                    </span>
                    </a>
                  </router-link>
            </div>
            <div id="right" >
              <a class="btn-radius bt-pn btn btn-sm" data-bs-toggle="dropdown" aria-expanded="false"
              style="float: right; color: #f8f5b4;margin-top: -2px;margin-right: 11px; width: 79px;">
              <i class="fas fa-plus" style="padding-right: 5px"></i>
              {{ i18ntext.lngText('menu') }}
            </a>
            <ul class="dropdown-menu">
              <li>
                <a  class="dropdown-item btn btn-primary" data-bs-toggle="modal"
                  data-bs-target="#staticboomId" tabindex="10028">
                  <i class="fa fa-print" aria-hidden="true"></i>
                  {{ i18ntext.lngText('print') }}
                </a>
              </li>

            </ul>
            </div>
          </div>
          <div class="box">
            <table width="100%" border="0" cellpadding="0" cellspacing="0" class="table table-striped br-table">
              <thead>
                <tr class="header-table">
                  <th colspan="2" style="width:35em">
                    <input autocomplete="off" v-model="search.product_no" @change="changeSearchText(search.product_no, 'product')"
                      type="search" class="text" style="width:100%" placeholder="ProductNo, Description" />
                  </th>
                  <th style="width:12em"> <input autocomplete="off" v-model="search.mos" @change="changeSearchText(search.mos, 'mos')"
                      type="search" class="text" style="width:100%" placeholder="(>,MOS),(=,MOS),(<,MOS)" />
                  </th>
                  <th style="width:12em"> <input autocomplete="off" type="search" v-model="search.amc_amount"
                      @change="changeSearchText(search.amc_amount, 'amc')" class="text" style="width:100%"
                      placeholder="(>,AMC),(=,AMC),(<,AMC)" />
                  </th>
                  <th></th>
                  <th> <input autocomplete="off" v-model="search.unit_price" @change="changeSearchText(search.unit_price, 'price')"
                      type="search" class="text" style="width:100%" placeholder="Search" /></th>
                  <th style="width:10em"><input autocomplete="off" v-model="search.stock_onhand"
                      @change="changeSearchText(search.stock_onhand, 'onhand')" id="search" type="search" class="text"
                      style="width:100%" placeholder="(>,AMC),(=,AMC),(<,AMC)" /></th>
                  <th width="14%">
                    <div class="button type2" id="uniform-undefined" @click="getStock()"><span>
                        <input autocomplete="off" type="button" class="type2" tabindex="10025" value="display"
                          style="opacity: 0; width: 54px;"><i class="fa fa-search"></i> {{ i18ntext.lngText('search') }}</span>
                    </div>
                  </th>
                </tr>
                <tr class="header-table">
                  <th width="10%">{{ i18ntext.lngText('pro-no') }}</th>
                  <th style="min-width: 40%;">{{ i18ntext.lngText('description') }}</th>
                  <th width="10%">{{ i18ntext.lngText('mos') }}</th>
                  <th width="10%">{{ i18ntext.lngText('amc') }}</th>
                  <th width="10%">{{ i18ntext.lngText('amc-amount') }}</th>
                  <th>{{ i18ntext.lngText('price') }}</th>
                  <th>{{ i18ntext.lngText('onhand') }}</th>
                  <th>{{ i18ntext.lngText('amount') }}</th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(stock, index) in allStocks.data" :key="index">
                  <td>{{ stock.product_no }}</td>
                  <td>{{ stock.description }}</td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(stock.mos).toLocaleString() }}
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(stock.amc_inventery).toLocaleString() }}
                      <span style="color: blue;">{{ stock.stock_uint }}</span>
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(stock.amc_amount).toLocaleString() }}
                      <span v-if="stock.curency_code == 'USD'">$</span><span v-else>៛</span>
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(stock.unit_price).toLocaleString() }}
                      <span v-if="stock.curency_code=='USD'">$</span><span v-else>៛</span>
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(stock.stock_onhand).toLocaleString() }}
                      <span style="color: blue;">{{ stock.stock_uint }}</span>
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(stock.stock_aoumt).toLocaleString() }}
                      <span v-if="stock.curency_code=='USD'">$</span><span v-else>៛</span>
                    </div>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
          <div class="box-footer-pagination">
            <pagination :limit="2" :data="allStocks" @pagination-change-page="getStock" />
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade ui-modal" id="staticboomId" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticboomId" aria-hidden="true">
    <div class="modal-dialog" style="max-width: 85% !important;">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel"><i class="fa fa-print" aria-hidden="true"></i>
            {{ i18ntext.lngText('print') }}
          </h5>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div class="ui-dialog-content" >
          <div class="card">
            <div class="card-body print-size">
              <div class="mt-3 " id="purchaseorder" style="height: auto !important;">
                <div style="padding:0 50px 0 50px; background-color: #fff;">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{ i18ntext.lngText('onhand-rep') }}</h3>
                    </div>
                  </div>
                  <div class="col-container">
                    <div class="col1" style="width: 55%;">
                      <p class=" p-bg font-size p-pad">{{ i18ntext.lngText('com-name') }}</p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('name') }} :</span> <span id="fon">{{ company.company_name }}</span></p>
                      <p class="p-mg  info-pad"><span id="bold">{{ i18ntext.lngText('phone') }} :</span> <span id="fon">{{ company.company_Phone }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('email') }} :</span> <span id="fon">{{ company.company_Email }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('address') }} :</span> <span id="fon">{{ company.company_Address }}</span></p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('date') }}</p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('onhand-total') }}</p>
                      <p class="text-center p-mg" id="fon">{{count}}</p>
                    </div>
                  </div>
                  <div class=" my-2  justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('pro-no') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('description') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('mos') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('amc') }}</th>
                          <th style="width: 17%;padding-left: 5px !important;">{{ i18ntext.lngText('amc-amount') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('price') }}</th>
                          <th style="width: 12%;padding-left: 5px !important;">{{ i18ntext.lngText('onhand') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('amount') }}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(stock, index) in printData" :key="index">
                          <td width="8%">{{ stock.product_no }}</td>
                          <td width="12%">{{ stock.description }}</td>
                          <td width="8%">
                            <div class="d-flex justify-content-end">
                              {{ Number(stock.mos).toLocaleString() }}
                            </div>
                          </td>
                          <td width="10%">
                            <div class="d-flex justify-content-end">
                              {{ Number(stock.amc_inventery).toLocaleString() }}
                              <span style="color: blue;padding-left: 3px !important;">{{ stock.stock_uint }}</span>
                            </div>
                           </td>
                          <td width="5%">
                            <div class="d-flex justify-content-end">
                              {{ Number(stock.amc_amount).toLocaleString() }}
                              <span v-if="stock.curency_code == 'USD'">$</span><span v-else>៛</span>
                            </div>
                          </td>
                          <td>
                            <div class="d-flex justify-content-end">
                              {{ Number(stock.unit_price).toLocaleString() }}
                              <span v-if="stock.curency_code == 'USD'">$</span><span v-else>៛</span>
                            </div>
                          </td>
                          <td width="10%">
                            <div class="d-flex justify-content-end">
                              {{ Number(stock.stock_onhand).toLocaleString() }}
                              <span style="color: blue;padding-left: 3px !important;">{{ stock.stock_uint }}</span>
                            </div>
                          </td>
                          <td width="5%">
                            <div class="d-flex justify-content-end">
                              {{ Number(stock.stock_aoumt).toLocaleString() }}
                              <span v-if="stock.curency_code == 'USD'">$</span><span v-else>៛</span>
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <hr>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a v-print="'#purchaseorder'" class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"><i class="fas fa-print text-primary"></i> {{ i18ntext.lngText('print') }}</a>
        </div>
      </div>
    </div>
  </div>
  <Footer />
  <UserInfo/>
</template>

<script>
import axios from "axios";
import Auth from "../../auth/Auth";
import { useCurrentTime } from "../../componentJS/date";
import pagination from "laravel-vue-pagination";
import moment from "moment";
import Logo from "../logo.vue"
import Header from "../Header.vue";
import Footer from "../footer.vue";
import print from 'vue3-print-nb';
import UserInfo from "../UserInfo.vue"
import i18n from "../../i18n/i18n";
export default {
  components: { pagination, Header, Footer, Logo,UserInfo },
  directives: { print },
  setup() {
    const { currentTime } = useCurrentTime();
    return { currentTime };
  },

  data() {
    return {
      i18ntext: i18n,
      company: [],
      count:0,
      allStocks: [],
      printData: [],
      search: '',
      mos: null,
      search_AMC: null,
      unit_price: null,
      search: {
        product_no: '',
        mos: '',
        amc_amount: '',
        unit_price: '',
        stock_onhand: ''
      },
      count_expire: 0,
      stockcount:0,
      count_expire:0,
      number_page: 1,
    };
  },
  mounted() {
    if (Auth.check()) {
        if(!Auth.checkPermission(' STOCKONHAND_ALL')){
            this.$router.push('/dashboard');
        }
    }

    if(this.$route.query.page != 1){
      this.number_page = this.$route.query.page
       axios.post("api/v1/soh/getIndex?page=" + this.number_page,this.search)
        .then((res) => {
          this.allStocks = res.data.stock
          this.printData = res.data.print
          this.count = res.data.stock.total
        })

    }else{
      this.getStock();
    }

    this.getcompany();
    this.getstockalert()
    this.getExpire()
    this.getstockalert()
    this.getExpireAlert()
  },

  methods: {
    getstockalert() {
      axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
        this.stockcount = response.data.data.total;
      });
  },
  async getExpireAlert() {
      axios.get("api/v1/expireAlert").then((res) => {
        this.count_expire = res.data.stock.total;
      });
    },

    async getcompany() {
      await axios.get("/api/v1/getSetup/")
        .then((response) => {
          this.company = response.data;
          this.dateformart = moment(new Date()).format('DD-MM-YYYY');
        });
    },

    async getStock(page = 1) {
      this.$router.push({name: 'stockonhand', query: {page : page}})
      await axios.post("api/v1/soh/getIndex?page=" + page,this.search)
        .then((res) => {
          this.allStocks = res.data.stock
          this.printData = res.data.print
          this.count = res.data.stock.total
        })
    },

    searchProductNo(x) {
      axios.get('api/v1/soh/index', { search: this.search })
        .then(res => {
          this.allStocks = res.data
        })
    },

    changeSearchText(value, label) {
      if (label == 'product') {
        this.search = {
          product_no: value,
          mos: '',
          amc_amount: '',
          unit_price: '',
          stock_onhand: ''
        }
      }
      else if (label == 'mos') {
        this.search = {
          product_no: '',
          mos: value,
          amc_amount: '',
          unit_price: '',
          stock_onhand: ''
        }
      }
      else if (label == 'amc') {
        this.search = {
          product_no: '',
          mos: '',
          amc_amount: value,
          unit_price: '',
          stock_onhand: ''
        }
      }
      else if (label == 'price') {
        this.search = {
          product_no: '',
          mos: '',
          amc_amount: '',
          unit_price: value,
          stock_onhand: ''
        }
      }
      else if (label == 'onhand') {
        this.search = {
          product_no: '',
          mos: '',
          amc_amount: '',
          unit_price: '',
          stock_onhand: value
        }
      }
      else {
        this.search = {
          product_no: '',
          mos: '',
          amc_amount: '',
          unit_price: '',
          stock_onhand: ''
        }
      }
    },
    getExpire() {
      axios.get('api/v1/expireAlert')
        .then(res => {
          this.count_expire = res.data.stock.total;
        })
    }
  },
};
</script>
